* {
    box-sizing: border-box;
}

.scene {
    position: relative;
    width: 500px;
    height: 96px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    margin-bottom: 120px;
    perspective: 1500px;
}

.carousel {
    width: 100%;
    height: 100%;
    position: absolute;
    transform: translateZ(-500px);
    transform-style: preserve-3d;
    transition: transform 1s;
}

.carousel__cell {
    position: absolute;
    width: 490px;
    height: 20px;
    left: 10px;
    top: 10px;
    color: white;
    text-align: center;
    transition: transform 1s, opacity 1s;
}

.world-clock-building-link {
    text-decoration: none;
    color: #fd7c14 !important;
    font-size: 15px;
}

.world-clock-building-link:hover {
    color: #ffa359 !important;
}

.btn-carousel-prev-city, .btn-carousel-next-city {
    color: #969696;
    position: relative;
    background-color: #262626 !important;
    z-index: 100;
    padding: 2px 25px 0;
    border-radius: 0 !important;
}

.btn-carousel-prev-city:hover, .btn-carousel-next-city:hover {
    color: #fd7c14 !important;
}

.btn-carousel-prev-city:active, .btn-carousel-next-city:active {
    color: #a86003 !important;
}

.custom-img-rounded {
    border-radius: 50%;
}

.btn-world-clock-collapse, .btn-world-clock-expand {
    background-color: transparent;
    padding-bottom: 0;
    padding-top: 0;
}

.btn-world-clock-collapse {
    margin-left: 60px;
}

.btn-world-clock-expand {
    margin-right: 60px;
}

.btn-world-clock-collapse.active, .btn-world-clock-expand.active {
    color: #662e03 !important;
}

.world-clock-name {
    margin-left: 70px;
    margin-right: 70px;
}

.btn-world-clock-expand {
    margin-right: 60px;
}


/*************************/
/***** Screen with *******/
/*************************/

@media screen and (max-width: 1500px) {
    .scene {
        width: 580px;
        perspective: 1000px;
    }

    .carousel__cell {
        width: 570px;
    }
}

@media screen and (max-width: 1400px) {
    .scene {
        width: 430px;
    }

    .carousel__cell {
        width: 420px;
    }
}

@media screen and (max-width: 1200px) {
    .scene {
        width: 460px;
    }

    .carousel__cell {
        width: 450px;
    }
}

/* iPad */
@media screen and (max-width: 790px) {
    .scene {
        width: 210px;
    }

    .carousel__cell {
        width: 200px;
    }
}

/* iPhone 6-7-8 Plus iO11 - Rotated Screen  */
@media screen and (max-width: 700px) {
    .scene {
        width: 360px;
    }

    .carousel__cell {
        width: 350px;
    }

    .world-clock-name {
        margin-left: 0;
        margin-right: 0;
    }

    .btn-world-clock-expand {
        margin-right: 0;
    }

    .btn-world-clock-collapse {
        margin-left: 0;
    }

    .btn-carousel-prev-city, .btn-carousel-next-city {
        padding: 2px 15px 0!important;
    }


}

/* iPhone 6-7-8 Plus iO11 */
@media screen and (max-width: 540px) {
    .scene {
        width: 260px;
    }

    .carousel__cell {
        width: 250px;
    }
}